@import url("https://fonts.googleapis.com/css2?family=Krona+One&family=Montserrat:wght@400;600&display=swap");

:root {
  --cor--secundaria: #f6f6f6;
  --cor--terciaria: #77009c;
  --cor--hover: #390781;

  --font--primaria: "Krona One", sans-serif;
  --font--secundaria: "Montserrat, sans-serif";
}
* {
  margin: 0;
  padding: 0;
}

body {
  /* height: 100vh; */
  /*  é utilizada para alterar a propriedade padrão da box model, usada para calcular larguras (widths) e alturas */
  box-sizing: border-box;
  background: linear-gradient(
    135deg,
    rgba(5, 12, 40, 1) 0%,
    rgba(53, 3, 128, 1) 35%,
    rgba(191, 61, 125, 1) 100%
  );
  color: var(--cor--secundaria);
}

.cabecalho {
  padding: 2% 0% 0% 15%;
}
.cabecalho__menu {
  display: flex;
  gap: 80px;
}

.cabecalho__menu__link {
  font-family: var(--font--secundaria);
  font-size: 24px;
  font-weight: 600;
  color: var(--cor--terciaria);
  text-decoration: none;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 16px;
  border-bottom: 2px solid var(--cor--terciaria);
  width: 9.5%;
  text-align: center;
  font-size: 24px;
  font-weight: 600;
  padding: 4.5px 0;
  text-decoration: none;
  color: var(--cor--secundaria);
  font-family: var(--font--secundaria);
}

.cabecalho__menu__link:hover {
  transform: scale(120%);
  transition: all 0.9s;
}

.conteudo-destaque {
  color: #d38dff;
}

/* alterar dentro main */
.apresentacao {
  display: flex;
  padding: 5% 15%;
  align-items: center;
  /*  é empregada para alinhar os elementos ao longo do eixo principal, */
  justify-content: space-between;
  gap: 82px;
}
/* alterar titulo princip */
.apresentacao__conteudo {
  width: 50%;
  display: flex;
  flex-direction: column;
  /* A propriedade gap não é exclusiva do Flexbox, porém é utilizada quase sempre em conjunto com ele. */
  gap: 40px;
}
/* alterar titulo h1 */
.apresentacao__conteudo__titulo {
  font-size: 36px;
  font-family: var(--font--primaria);
}

.titulo-destaque {
  color: var(--cor--terciaria);
}

/* alterar paragrafo */
.apresentacao__conteudo__texto {
  font-size: 24px;
  font-family: var(--font--secundaria);
}

.apresentacao__links {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  gap: 32px;
}

.apresentacao__links__subtitulos {
  font-family: var(--font--secundaria);
  font-weight: 400;
  font-size: 24px;
}

.apresentacao__links__navegacao {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 16px;
  border: 2px solid var(--cor--terciaria);
  width: 50%;
  text-align: center;
  border-radius: 8px;
  font-size: 24px;
  font-weight: 600;
  padding: 21.5px 0;
  text-decoration: none;
  color: var(--cor--secundaria);
  font-family: var(--font--secundaria);
}

.apresentacao__links__navegacao:hover {
  background-color: var(--cor--hover);
  /* isso paulo ensinou */
  transition: all 0.6s;
  width: 60%;
}

/* isso paulo ensinou */
.apresentacao__links__navegacao img {
  width: 40px;
}

.apresentacao__imagem {
  width: 53%;
}

.rodape {
  padding: 24px;
  color: var(--cor--primaria);
  background-color: var(--cor--terciaria);
  text-align: center;
  font-family: var(--font--secundaria);
  font-size: 24px;
  font-weight: 400;
}

.imagem {
  width: 50%;
}

@media (max-width: 1200px) {
  .cabecalho {
    padding: 10%;
  }

  .cabecalho__menu {
    justify-content: center;
  }

  .apresentacao {
    flex-direction: column-reverse;
    padding: 5%;
  }
  .apresentacao__conteudo {
    width: auto;
  }

  .cabecalho__menu__link {
    width: 30%;
    padding: 18.5px 0;
  }
}
